Debian Bug report logs - #570638
cups segfaults after start

version graph

Package: cups; Maintainer for cups is Debian Printing Team <debian-printing@lists.debian.org>; Source for cups is src:cups.

Reported by: Juergen Kosel <juergen.kosel@gmx.de>

Date: Sat, 20 Feb 2010 12:03:01 UTC

Severity: important

Tags: moreinfo

Found in version cups/1.4.2-4

Fixed in version 1.4.6-5

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#570638; Package cups. (Sat, 20 Feb 2010 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Kosel <juergen.kosel@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sat, 20 Feb 2010 12:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juergen Kosel <juergen.kosel@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cups segfaults after start
Date: Sat, 20 Feb 2010 13:00:47 +0100
Package: cups
Version: 1.4.2-4
Severity: important

Hello,

I have just recognized that cups segfaults shortly after system start:

Feb 14 22:06:58 acer-ilzleite kernel: [  370.622670] cupsd[3833]:
segfault at 0 ip 00007fa817fa77c1 sp 00007fff0c2d95b8 error 4 in
libc-2.10.2.so[7fa817f2e000+14a000]
Feb 15 10:38:00 acer-ilzleite kernel: [  372.815253] cupsd[3871]:
segfault at 0 ip 00007f73e73dc7c1 sp 00007fff8001f448 error 4 in
libc-2.10.2.so[7f73e7363000+14a000]
Feb 16 09:56:36 acer-ilzleite kernel: [  554.015445] cupsd[5315]:
segfault at 0 ip 00007f4cf24917c1 sp 00007fff1a1e35d8 error 4 in
libc-2.10.2.so[7f4cf2418000+14a000]

I don't believe that a process sends SIGHUP to cupsd at this time.
Therefore I don't believe that this is the same bug as #549050
I haven't seen this beheaviour while the system was running lenny.
Therefore I believe that this is a new bug.

cups error log indicates that it happens while cups start to process an
old job to an unreachable printer:

I [20/Feb/2010:12:23:00 +0100] Listening to 0.0.0.0:631 (IPv4)
I [20/Feb/2010:12:23:00 +0100] Listening to :::631 (IPv6)
I [20/Feb/2010:12:23:00 +0100] Listening to /var/run/cups/cups.sock (Domain)
W [20/Feb/2010:12:23:00 +0100] No limit for CUPS-Get-Document defined in
policy default - using Send-Document's policy
I [20/Feb/2010:12:23:00 +0100] Remote access is enabled.
D [20/Feb/2010:12:23:00 +0100] Added auto ServerAlias acer-ilzleite
I [20/Feb/2010:12:23:00 +0100] Loaded configuration file
"/etc/cups/cupsd.conf"
I [20/Feb/2010:12:23:00 +0100] Using default TempDir of
/var/spool/cups/tmp...
I [20/Feb/2010:12:23:00 +0100] Configured for up to 100 clients.
I [20/Feb/2010:12:23:00 +0100] Allowing up to 100 client connections per
host.
I [20/Feb/2010:12:23:00 +0100] Using policy "default" as the default!
I [20/Feb/2010:12:23:00 +0100] Full reload is required.
I [20/Feb/2010:12:23:00 +0100] Loaded MIME database from
"/usr/share/cups/mime" and "/etc/cups": 38 types, 73 filters...
D [20/Feb/2010:12:23:00 +0100] Loading printer Brother-DCP-310cn...
D [20/Feb/2010:12:23:00 +0100] load_ppd: Loading
/var/cache/cups/Brother-DCP-310cn.ipp...
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f2ab970(Brother-DCP-310cn))
D [20/Feb/2010:12:23:00 +0100] load_ppd: Loading
/var/cache/cups/Brother-DCP-310cn.ipp...
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f2ab970(Brother-DCP-310cn))
D [20/Feb/2010:12:23:00 +0100] Loading printer CUPS-PDF...
D [20/Feb/2010:12:23:00 +0100] load_ppd: Loading
/var/cache/cups/CUPS-PDF.ipp...
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f29ad30(CUPS-PDF))
D [20/Feb/2010:12:23:00 +0100] cupsdLoadRemoteCache: Loading printer
DCP310CN...
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f2c9c20(DCP310CN))
D [20/Feb/2010:12:23:00 +0100] cupsdLoadRemoteCache: Loading class
Farbdrucker...
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f2cac50(Farbdrucker))
D [20/Feb/2010:12:23:00 +0100] cupsdLoadRemoteCache: Loading printer
LQ-100...
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f2cbdb0(LQ-100))
D [20/Feb/2010:12:23:00 +0100] cupsdLoadRemoteCache: Loading class
Schwarzweissdrucker...
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f2ccf10(Schwarzweissdrucker))
I [20/Feb/2010:12:23:00 +0100] Loading job cache file
"/var/cache/cups/job.cache"...
D [20/Feb/2010:12:23:00 +0100] [Job 2] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 3] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 4] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 14] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 15] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 16] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 17] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 18] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 19] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 20] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 21] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 22] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 23] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 24] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 25] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 26] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 27] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 28] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 29] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 30] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 31] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 32] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 33] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 34] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 35] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 36] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 38] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 39] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 40] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 41] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 42] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 43] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 44] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 45] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 46] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 47] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 48] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 49] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 50] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 51] Loading from cache...
D [20/Feb/2010:12:23:00 +0100] [Job 51] Loading attributes...
I [20/Feb/2010:12:23:00 +0100] Full reload complete.
I [20/Feb/2010:12:23:00 +0100] Cleaning out old temporary files in
"/var/spool/cups/tmp"...
I [20/Feb/2010:12:23:00 +0100] Listening to 0.0.0.0:631 on fd 6...
I [20/Feb/2010:12:23:00 +0100] Listening to :::631 on fd 7...
I [20/Feb/2010:12:23:00 +0100] Listening to /var/run/cups/cups.sock on
fd 8...
I [20/Feb/2010:12:23:00 +0100] Resuming new connection processing...
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f2ab970(Brother-DCP-310cn))
D [20/Feb/2010:12:23:00 +0100]
cupsdRegisterPrinter(p=0x7ff47f29ad30(CUPS-PDF))
D [20/Feb/2010:12:23:00 +0100] Discarding unused server-started event...
D [20/Feb/2010:12:23:00 +0100] cupsdMarkDirty(----J-)
D [20/Feb/2010:12:23:00 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:00 +0100] [Job 51] Sending job to queue tagged as
raw...
D [20/Feb/2010:12:23:00 +0100] [Job 51] job-sheets=none,none
D [20/Feb/2010:12:23:00 +0100] [Job 51] argv[0]="LQ-100"
D [20/Feb/2010:12:23:00 +0100] [Job 51] argv[1]="51"
D [20/Feb/2010:12:23:00 +0100] [Job 51] argv[2]="juergen"
D [20/Feb/2010:12:23:00 +0100] [Job 51] argv[3]="tk-brief.ps"
D [20/Feb/2010:12:23:00 +0100] [Job 51] argv[4]="1"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
argv[5]="job-originating-user-name=juergen job-priority=50 number-up=1
job-uuid=urn:uuid:9a559380-14e6-3d35-7165-68bf3c0efbf0
job-sheets=none,none lease-duration=300
job-originating-host-name=localhost job-id=51 job-state=5
job-media-sheets-completed=0 job-k-octets=146
job-printer-state-message=Print\ file\ accepted\ -\ job\ ID\ 21.
job-printer-state-reasons=connecting-to-device"
D [20/Feb/2010:12:23:00 +0100] [Job 51] argv[6]="/var/spool/cups/d00051-001"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[0]="CUPS_CACHEDIR=/var/cache/cups"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[1]="CUPS_DATADIR=/usr/share/cups"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[2]="CUPS_DOCROOT=/usr/share/cups/doc-root"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[3]="CUPS_FONTPATH=/usr/share/cups/fonts"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[4]="CUPS_REQUESTROOT=/var/spool/cups"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[5]="CUPS_SERVERBIN=/usr/lib/cups"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[6]="CUPS_SERVERROOT=/etc/cups"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[7]="CUPS_STATEDIR=/var/run/cups"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[8]="HOME=/var/spool/cups/tmp"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[9]="PATH=/usr/lib/cups/filter:/usr/bin:/usr/sbin:/bin:/usr/bin"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[10]="SERVER_ADMIN=root@acer-ilzleite"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[11]="SOFTWARE=CUPS/1.4.2"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[12]="TMPDIR=/var/spool/cups/tmp"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[13]="TZ=Europe/Berlin"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[14]="USER=root"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[15]="CUPS_SERVER=/var/run/cups/cups.sock"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[16]="CUPS_ENCRYPTION=IfRequested"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[17]="IPP_PORT=631"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[18]="CHARSET=utf-8"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[19]="LANG=C"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[20]="PPD=/etc/cups/ppd/LQ-100.ppd"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[21]="RIP_MAX_CACHE=1015746k"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[22]="CONTENT_TYPE=application/postscript"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[23]="DEVICE_URI=ipp://192.168.178.2:631/printers/LQ-100"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[24]="PRINTER_INFO=Epson
LQ-100 (ESC P2) 24 Nadeldrucker"
D [20/Feb/2010:12:23:00 +0100] [Job 51]
envp[25]="PRINTER_LOCATION=Juergens Wohnzimmer"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[26]="PRINTER=LQ-100"
D [20/Feb/2010:12:23:00 +0100] [Job 51] envp[27]="CUPS_FILETYPE=document"
I [20/Feb/2010:12:23:00 +0100] [Job 51] Started backend
/usr/lib/cups/backend/ipp (PID 10149)
D [20/Feb/2010:12:23:00 +0100] Discarding unused job-state-changed event...
D [20/Feb/2010:12:23:00 +0100] [Job 51] 1 files to send in job...
D [20/Feb/2010:12:23:00 +0100] [Job 51] STATE: +connecting-to-device
D [20/Feb/2010:12:23:00 +0100] [Job 51] Connecting to 192.168.178.2:631
D [20/Feb/2010:12:23:00 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:00 +0100] Report: clients=0
D [20/Feb/2010:12:23:00 +0100] Report: jobs=40
D [20/Feb/2010:12:23:00 +0100] Report: jobs-active=1
D [20/Feb/2010:12:23:00 +0100] Report: printers=6
D [20/Feb/2010:12:23:00 +0100] Report: printers-implicit=0
D [20/Feb/2010:12:23:00 +0100] Report: stringpool-string-count=807
D [20/Feb/2010:12:23:00 +0100] Report: stringpool-alloc-bytes=10776
D [20/Feb/2010:12:23:00 +0100] Report: stringpool-total-bytes=17984
I [20/Feb/2010:12:23:00 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:23:00 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:00 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:23:01 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:23:01 +0100] cupsdNetIFUpdate: "eth0" = 192.168.178.3:631
D [20/Feb/2010:12:23:01 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:23:01 +0100] cupsdNetIFUpdate: "eth0" =
2001:5c0:1503:6400::1:631
D [20/Feb/2010:12:23:01 +0100] cupsdNetIFUpdate: "eth0" =
fe80::230:67ff:fe0b:99f8%eth0:631
D [20/Feb/2010:12:23:01 +0100] cupsdNetIFUpdate: "vboxnet0" =
fe80::800:27ff:fe00:0%vboxnet0:631
D [20/Feb/2010:12:23:01 +0100] cupsdNetIFUpdate: "tun" =
2001:5c0:1400:b::2a61:631
D [20/Feb/2010:12:23:03 +0100] cupsdMarkDirty(P-----)
D [20/Feb/2010:12:23:03 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:08 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:23:08 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:23:08 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:08 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:23:11 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:21 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:23:21 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:23:21 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:21 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:23:21 +0100] cupsdAcceptClient: 14 from localhost:631
(IPv4)
D [20/Feb/2010:12:23:21 +0100] cupsdReadClient: 14 GET / HTTP/1.1
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdReadClient: 14 GET /cups.css HTTP/1.1
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdReadClient: 14 GET
/images/cups-icon.png HTTP/1.1
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:21 +0100] cupsdAcceptClient: 16 from localhost:631
(IPv4)
D [20/Feb/2010:12:23:21 +0100] cupsdAcceptClient: 17 from localhost:631
(IPv4)
D [20/Feb/2010:12:23:21 +0100] cupsdReadClient: 16 GET /images/left.gif
HTTP/1.1
D [20/Feb/2010:12:23:21 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:21 +0100] cupsdAcceptClient: 15 from localhost:631
(IPv4)
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdReadClient: 17 GET /images/right.gif
HTTP/1.1
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:21 +0100] cupsdAcceptClient: 19 from localhost:631
(IPv4)
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdReadClient: 15 GET /images/sel.gif
HTTP/1.1
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdReadClient: 19 GET /images/unsel.gif
HTTP/1.1
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:21 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:21 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:23 +0100] cupsdReadClient: 14 GET /admin HTTP/1.1
D [20/Feb/2010:12:23:23 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:23 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:23 +0100] [CGI] argv[0] =
"/usr/lib/cups/cgi-bin/admin.cgi"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[0] =
"CUPS_CACHEDIR=/var/cache/cups"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[1] =
"CUPS_DATADIR=/usr/share/cups"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[2] =
"CUPS_DOCROOT=/usr/share/cups/doc-root"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[3] =
"CUPS_FONTPATH=/usr/share/cups/fonts"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[4] =
"CUPS_REQUESTROOT=/var/spool/cups"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[5] =
"CUPS_SERVERBIN=/usr/lib/cups"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[6] = "CUPS_SERVERROOT=/etc/cups"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[7] = "CUPS_STATEDIR=/var/run/cups"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[8] = "HOME=/var/spool/cups/tmp"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[9] =
"PATH=/usr/lib/cups/filter:/usr/bin:/usr/sbin:/bin:/usr/bin"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[10] =
"SERVER_ADMIN=root@acer-ilzleite"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[11] = "SOFTWARE=CUPS/1.4.2"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[12] = "TMPDIR=/var/spool/cups/tmp"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[13] = "TZ=Europe/Berlin"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[14] = "USER=root"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[15] =
"CUPS_SERVER=/var/run/cups/cups.sock"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[16] =
"CUPS_ENCRYPTION=IfRequested"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[17] = "IPP_PORT=631"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[18] = "LANG=de.UTF8"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[19] = "REDIRECT_STATUS=1"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[20] = "GATEWAY_INTERFACE=CGI/1.1"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[21] = "SERVER_NAME=localhost"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[22] = "SERVER_PORT=631"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[23] = "REMOTE_ADDR=127.0.0.1"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[24] = "REMOTE_HOST=localhost"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[25] = "SCRIPT_NAME=/admin"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[26] =
"SCRIPT_FILENAME=/usr/share/cups/doc-root/admin"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[27] = "SERVER_PROTOCOL=HTTP/1.1"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[28] =
"HTTP_USER_AGENT=Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.1.6)
Gecko/20091216 Iceweasel/3.5.6 (like Firefox/3.5.6; Debian-3.5.6-2)"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[29] =
"HTTP_REFERER=http://localhost:631/"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[30] = "REQUEST_METHOD=GET"
D [20/Feb/2010:12:23:23 +0100] [CGI] envp[31] = "QUERY_STRING="
D [20/Feb/2010:12:23:23 +0100] [CGI] Started
/usr/lib/cups/cgi-bin/admin.cgi (PID 10154)
I [20/Feb/2010:12:23:23 +0100] Started "/usr/lib/cups/cgi-bin/admin.cgi"
(pid=10154)
D [20/Feb/2010:12:23:23 +0100] cupsdSendCommand: 14 file=18
D [20/Feb/2010:12:23:23 +0100] [CGI] admin.cgi started...
D [20/Feb/2010:12:23:23 +0100] cupsdAcceptClient: 20 from localhost (Domain)
D [20/Feb/2010:12:23:23 +0100] [CGI] http=0x7f4f1c985880
D [20/Feb/2010:12:23:23 +0100] [CGI] No form data, showing main menu...
D [20/Feb/2010:12:23:23 +0100] [CGI]
/usr/share/cups/drivers/pscript5.dll: No such file or directory
D [20/Feb/2010:12:23:23 +0100] cupsdReadClient: 20 POST / HTTP/1.1
D [20/Feb/2010:12:23:23 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:23 +0100] cupsdReadClient: 20 1.1 Get-Subscriptions 1
D [20/Feb/2010:12:23:23 +0100] Get-Subscriptions ipp://localhost/
D [20/Feb/2010:12:23:23 +0100] Get-Subscriptions client-error-not-found:
Keine Subskriptionen gefunden.
D [20/Feb/2010:12:23:23 +0100] Returning IPP client-error-not-found for
Get-Subscriptions (ipp://localhost/) from localhost
D [20/Feb/2010:12:23:23 +0100] [CGI] lang="de.UTF8", locale="/de"...
D [20/Feb/2010:12:23:23 +0100] Script header: Content-Type:
text/html;charset=utf-8
D [20/Feb/2010:12:23:23 +0100] Script header:
D [20/Feb/2010:12:23:23 +0100] [CGI] lang="de.UTF8", locale="/de"...
D [20/Feb/2010:12:23:23 +0100] [CGI] lang="de.UTF8", locale="/de"...
D [20/Feb/2010:12:23:23 +0100] cupsdReadClient: 20 WAITING Closing on EOF
D [20/Feb/2010:12:23:23 +0100] cupsdCloseClient: 20
D [20/Feb/2010:12:23:23 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:23 +0100] PID 10154
(/usr/lib/cups/cgi-bin/admin.cgi) exited with no errors.
D [20/Feb/2010:12:23:24 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:29 +0100] cupsdReadClient: 16 GET
/admin/log/error_log HTTP/1.1
D [20/Feb/2010:12:23:29 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:29 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:29 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:23:29 +0100] cupsdReadClient: 17 GET /favicon.ico HTTP/1.1
D [20/Feb/2010:12:23:29 +0100] cupsdSetBusyState: Active clients,
printing jobs, and dirty files
D [20/Feb/2010:12:23:29 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:29 +0100] cupsdReadClient: 17 Closing because
Keep-Alive disabled
D [20/Feb/2010:12:23:29 +0100] cupsdCloseClient: 17
D [20/Feb/2010:12:23:29 +0100] cupsdSetBusyState: Printing jobs and
dirty files
I [20/Feb/2010:12:23:30 +0100] Saving printers.conf...
I [20/Feb/2010:12:23:30 +0100] Saving job cache file
"/var/cache/cups/job.cache"...
D [20/Feb/2010:12:23:30 +0100] cupsdSetBusyState: Printing jobs
D [20/Feb/2010:12:23:32 +0100] cupsdReadClient: 15 GET /favicon.ico HTTP/1.1
D [20/Feb/2010:12:23:32 +0100] cupsdSetBusyState: Active clients and
printing jobs
D [20/Feb/2010:12:23:32 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:23:32 +0100] cupsdReadClient: 15 Closing because
Keep-Alive disabled
D [20/Feb/2010:12:23:32 +0100] cupsdCloseClient: 15
D [20/Feb/2010:12:23:32 +0100] cupsdSetBusyState: Printing jobs
D [20/Feb/2010:12:23:39 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:23:39 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:23:39 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:39 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:23:42 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:23:51 +0100] cupsdReadClient: 19 WAITING Closing on EOF
D [20/Feb/2010:12:23:51 +0100] cupsdCloseClient: 19
D [20/Feb/2010:12:24:02 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:24:02 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:24:02 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:24:02 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:24:02 +0100] Report: clients=2
D [20/Feb/2010:12:24:02 +0100] Report: jobs=40
D [20/Feb/2010:12:24:02 +0100] Report: jobs-active=1
D [20/Feb/2010:12:24:02 +0100] Report: printers=6
D [20/Feb/2010:12:24:02 +0100] Report: printers-implicit=0
D [20/Feb/2010:12:24:02 +0100] Report: stringpool-string-count=898
D [20/Feb/2010:12:24:02 +0100] Report: stringpool-alloc-bytes=10944
D [20/Feb/2010:12:24:02 +0100] Report: stringpool-total-bytes=20576
D [20/Feb/2010:12:24:03 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:24:03 +0100] cupsdNetIFUpdate: "eth0" = 192.168.178.3:631
D [20/Feb/2010:12:24:03 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:24:03 +0100] cupsdNetIFUpdate: "eth0" =
2001:5c0:1503:6400::1:631
D [20/Feb/2010:12:24:03 +0100] cupsdNetIFUpdate: "eth0" =
fe80::230:67ff:fe0b:99f8%eth0:631
D [20/Feb/2010:12:24:03 +0100] cupsdNetIFUpdate: "vboxnet0" =
fe80::800:27ff:fe00:0%vboxnet0:631
D [20/Feb/2010:12:24:03 +0100] cupsdNetIFUpdate: "tun" =
2001:5c0:1400:b::2a61:631
D [20/Feb/2010:12:24:03 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:24:06 +0100] cupsdReadClient: 14 WAITING Closing on EOF
D [20/Feb/2010:12:24:06 +0100] cupsdCloseClient: 14
D [20/Feb/2010:12:24:06 +0100] cupsdReadClient: 16 WAITING Closing on EOF
D [20/Feb/2010:12:24:06 +0100] cupsdCloseClient: 16
D [20/Feb/2010:12:24:28 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:24:28 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:24:28 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:24:28 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:24:31 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:24:39 +0100] cupsdAcceptClient: 14 from localhost:631
(IPv4)
D [20/Feb/2010:12:24:39 +0100] cupsdReadClient: 14 GET /printers/ HTTP/1.1
D [20/Feb/2010:12:24:39 +0100] cupsdSetBusyState: Active clients and
printing jobs
D [20/Feb/2010:12:24:39 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:24:39 +0100] [CGI] argv[0] =
"/usr/lib/cups/cgi-bin/printers.cgi"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[0] =
"CUPS_CACHEDIR=/var/cache/cups"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[1] =
"CUPS_DATADIR=/usr/share/cups"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[2] =
"CUPS_DOCROOT=/usr/share/cups/doc-root"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[3] =
"CUPS_FONTPATH=/usr/share/cups/fonts"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[4] =
"CUPS_REQUESTROOT=/var/spool/cups"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[5] =
"CUPS_SERVERBIN=/usr/lib/cups"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[6] = "CUPS_SERVERROOT=/etc/cups"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[7] = "CUPS_STATEDIR=/var/run/cups"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[8] = "HOME=/var/spool/cups/tmp"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[9] =
"PATH=/usr/lib/cups/filter:/usr/bin:/usr/sbin:/bin:/usr/bin"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[10] =
"SERVER_ADMIN=root@acer-ilzleite"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[11] = "SOFTWARE=CUPS/1.4.2"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[12] = "TMPDIR=/var/spool/cups/tmp"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[13] = "TZ=Europe/Berlin"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[14] = "USER=root"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[15] =
"CUPS_SERVER=/var/run/cups/cups.sock"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[16] =
"CUPS_ENCRYPTION=IfRequested"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[17] = "IPP_PORT=631"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[18] = "LANG=de.UTF8"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[19] = "REDIRECT_STATUS=1"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[20] = "GATEWAY_INTERFACE=CGI/1.1"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[21] = "SERVER_NAME=localhost"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[22] = "SERVER_PORT=631"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[23] = "REMOTE_ADDR=127.0.0.1"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[24] = "REMOTE_HOST=localhost"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[25] = "SCRIPT_NAME=/printers/"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[26] =
"SCRIPT_FILENAME=/usr/share/cups/doc-root/printers/"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[27] = "SERVER_PROTOCOL=HTTP/1.1"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[28] =
"HTTP_USER_AGENT=Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.1.6)
Gecko/20091216 Iceweasel/3.5.6 (like Firefox/3.5.6; Debian-3.5.6-2)"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[29] =
"HTTP_REFERER=http://localhost:631/admin"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[30] = "REQUEST_METHOD=GET"
D [20/Feb/2010:12:24:39 +0100] [CGI] envp[31] = "QUERY_STRING="
D [20/Feb/2010:12:24:39 +0100] [CGI] Started
/usr/lib/cups/cgi-bin/printers.cgi (PID 10158)
I [20/Feb/2010:12:24:39 +0100] Started
"/usr/lib/cups/cgi-bin/printers.cgi" (pid=10158)
D [20/Feb/2010:12:24:39 +0100] cupsdSendCommand: 14 file=15
D [20/Feb/2010:12:24:39 +0100] cupsdAcceptClient: 16 from localhost (Domain)
D [20/Feb/2010:12:24:39 +0100] cupsdReadClient: 16 POST / HTTP/1.1
D [20/Feb/2010:12:24:39 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:24:39 +0100] cupsdReadClient: 16 1.1 CUPS-Get-Default 1
D [20/Feb/2010:12:24:39 +0100] CUPS-Get-Default
D [20/Feb/2010:12:24:39 +0100] Returning IPP successful-ok for
CUPS-Get-Default (no URI) from localhost
D [20/Feb/2010:12:24:39 +0100] [CGI]
show_all_printers(http=0x7f1301695c90, user="(null)")
D [20/Feb/2010:12:24:39 +0100] [CGI] lang="de.UTF8", locale="/de"...
D [20/Feb/2010:12:24:39 +0100] Script header: Content-Type:
text/html;charset=utf-8
D [20/Feb/2010:12:24:39 +0100] Script header:
D [20/Feb/2010:12:24:40 +0100] cupsdReadClient: 16 POST / HTTP/1.1
D [20/Feb/2010:12:24:40 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:24:40 +0100] cupsdReadClient: 16 1.1 CUPS-Get-Printers 1
D [20/Feb/2010:12:24:40 +0100] CUPS-Get-Printers
D [20/Feb/2010:12:24:40 +0100] Returning IPP successful-ok for
CUPS-Get-Printers (no URI) from localhost
D [20/Feb/2010:12:24:40 +0100] [CGI] lang="de.UTF8", locale="/de"...
D [20/Feb/2010:12:24:40 +0100] [CGI] lang="de.UTF8", locale="/de"...
D [20/Feb/2010:12:24:40 +0100] [CGI] lang="de.UTF8", locale="/de"...
D [20/Feb/2010:12:24:40 +0100] cupsdReadClient: 16 WAITING Closing on EOF
D [20/Feb/2010:12:24:40 +0100] cupsdCloseClient: 16
D [20/Feb/2010:12:24:40 +0100] PID 10158
(/usr/lib/cups/cgi-bin/printers.cgi) exited with no errors.
D [20/Feb/2010:12:24:40 +0100] cupsdSetBusyState: Printing jobs
D [20/Feb/2010:12:24:40 +0100] [CGI] lang="de.UTF8", locale="/de"...
D [20/Feb/2010:12:24:43 +0100] cupsdAcceptClient: 15 from localhost (Domain)
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 POST / HTTP/1.1
D [20/Feb/2010:12:24:43 +0100] cupsdSetBusyState: Active clients and
printing jobs
D [20/Feb/2010:12:24:43 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 1.1 CUPS-Get-Printers 1
D [20/Feb/2010:12:24:43 +0100] CUPS-Get-Printers
D [20/Feb/2010:12:24:43 +0100] Returning IPP successful-ok for
CUPS-Get-Printers (no URI) from localhost
D [20/Feb/2010:12:24:43 +0100] cupsdSetBusyState: Printing jobs
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 POST / HTTP/1.1
D [20/Feb/2010:12:24:43 +0100] cupsdSetBusyState: Active clients and
printing jobs
D [20/Feb/2010:12:24:43 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 1.1 CUPS-Get-Default 1
D [20/Feb/2010:12:24:43 +0100] CUPS-Get-Default
D [20/Feb/2010:12:24:43 +0100] Returning IPP successful-ok for
CUPS-Get-Default (no URI) from localhost
D [20/Feb/2010:12:24:43 +0100] cupsdSetBusyState: Printing jobs
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 POST / HTTP/1.1
D [20/Feb/2010:12:24:43 +0100] cupsdSetBusyState: Active clients and
printing jobs
D [20/Feb/2010:12:24:43 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 1.1
Get-Printer-Attributes 1
D [20/Feb/2010:12:24:43 +0100] Get-Printer-Attributes
ipp://localhost/printers/Brother-DCP-310cn
D [20/Feb/2010:12:24:43 +0100] Returning IPP successful-ok for
Get-Printer-Attributes (ipp://localhost/printers/Brother-DCP-310cn) from
localhost
D [20/Feb/2010:12:24:43 +0100] cupsdSetBusyState: Printing jobs
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 POST / HTTP/1.1
D [20/Feb/2010:12:24:43 +0100] cupsdSetBusyState: Active clients and
printing jobs
D [20/Feb/2010:12:24:43 +0100] cupsdAuthorize: No authentication data
provided.
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 1.1 Get-Jobs 1
D [20/Feb/2010:12:24:43 +0100] Get-Jobs
ipp://localhost/printers/Brother-DCP-310cn
D [20/Feb/2010:12:24:43 +0100] Returning IPP successful-ok for Get-Jobs
(ipp://localhost/printers/Brother-DCP-310cn) from localhost
D [20/Feb/2010:12:24:43 +0100] cupsdSetBusyState: Printing jobs
D [20/Feb/2010:12:24:43 +0100] cupsdReadClient: 15 WAITING Closing on EOF
D [20/Feb/2010:12:24:43 +0100] cupsdCloseClient: 15
D [20/Feb/2010:12:25:01 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:25:01 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:25:01 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:25:01 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:25:02 +0100] Report: clients=1
D [20/Feb/2010:12:25:02 +0100] Report: jobs=40
D [20/Feb/2010:12:25:02 +0100] Report: jobs-active=1
D [20/Feb/2010:12:25:02 +0100] Report: printers=6
D [20/Feb/2010:12:25:02 +0100] Report: printers-implicit=0
D [20/Feb/2010:12:25:02 +0100] Report: stringpool-string-count=900
D [20/Feb/2010:12:25:02 +0100] Report: stringpool-alloc-bytes=10944
D [20/Feb/2010:12:25:02 +0100] Report: stringpool-total-bytes=20680
D [20/Feb/2010:12:25:05 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:25:05 +0100] cupsdNetIFUpdate: "eth0" = 192.168.178.3:631
D [20/Feb/2010:12:25:05 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:25:05 +0100] cupsdNetIFUpdate: "eth0" =
2001:5c0:1503:6400::1:631
D [20/Feb/2010:12:25:05 +0100] cupsdNetIFUpdate: "eth0" =
fe80::230:67ff:fe0b:99f8%eth0:631
D [20/Feb/2010:12:25:05 +0100] cupsdNetIFUpdate: "vboxnet0" =
fe80::800:27ff:fe00:0%vboxnet0:631
D [20/Feb/2010:12:25:05 +0100] cupsdNetIFUpdate: "tun" =
2001:5c0:1400:b::2a61:631
D [20/Feb/2010:12:25:21 +0100] cupsdReadClient: 14 WAITING Closing on EOF
D [20/Feb/2010:12:25:21 +0100] cupsdCloseClient: 14
D [20/Feb/2010:12:25:34 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:25:34 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:25:34 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:25:34 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:26:07 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:26:07 +0100] cupsdNetIFUpdate: "eth0" = 192.168.178.3:631
D [20/Feb/2010:12:26:07 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:26:07 +0100] cupsdNetIFUpdate: "eth0" =
2001:5c0:1503:6400::1:631
D [20/Feb/2010:12:26:07 +0100] cupsdNetIFUpdate: "eth0" =
fe80::230:67ff:fe0b:99f8%eth0:631
D [20/Feb/2010:12:26:07 +0100] cupsdNetIFUpdate: "vboxnet0" =
fe80::800:27ff:fe00:0%vboxnet0:631
D [20/Feb/2010:12:26:07 +0100] cupsdNetIFUpdate: "tun" =
2001:5c0:1400:b::2a61:631
D [20/Feb/2010:12:26:07 +0100] Report: clients=0
D [20/Feb/2010:12:26:07 +0100] Report: jobs=40
D [20/Feb/2010:12:26:07 +0100] Report: jobs-active=1
D [20/Feb/2010:12:26:07 +0100] Report: printers=6
D [20/Feb/2010:12:26:07 +0100] Report: printers-implicit=0
D [20/Feb/2010:12:26:07 +0100] Report: stringpool-string-count=900
D [20/Feb/2010:12:26:07 +0100] Report: stringpool-alloc-bytes=10944
D [20/Feb/2010:12:26:07 +0100] Report: stringpool-total-bytes=20680
D [20/Feb/2010:12:26:07 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:26:07 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:26:07 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:26:07 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:26:40 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:26:40 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:26:40 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:26:40 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:27:09 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:27:09 +0100] cupsdNetIFUpdate: "eth0" = 192.168.178.3:631
D [20/Feb/2010:12:27:09 +0100] cupsdNetIFUpdate: "lo" = localhost:631
D [20/Feb/2010:12:27:09 +0100] cupsdNetIFUpdate: "eth0" =
2001:5c0:1503:6400::1:631
D [20/Feb/2010:12:27:09 +0100] cupsdNetIFUpdate: "eth0" =
fe80::230:67ff:fe0b:99f8%eth0:631
D [20/Feb/2010:12:27:09 +0100] cupsdNetIFUpdate: "vboxnet0" =
fe80::800:27ff:fe00:0%vboxnet0:631
D [20/Feb/2010:12:27:09 +0100] cupsdNetIFUpdate: "tun" =
2001:5c0:1400:b::2a61:631
D [20/Feb/2010:12:27:09 +0100] Report: clients=0
D [20/Feb/2010:12:27:09 +0100] Report: jobs=40
D [20/Feb/2010:12:27:09 +0100] Report: jobs-active=1
D [20/Feb/2010:12:27:09 +0100] Report: printers=6
D [20/Feb/2010:12:27:09 +0100] Report: printers-implicit=0
D [20/Feb/2010:12:27:09 +0100] Report: stringpool-string-count=900
D [20/Feb/2010:12:27:09 +0100] Report: stringpool-alloc-bytes=10944
D [20/Feb/2010:12:27:09 +0100] Report: stringpool-total-bytes=20680
D [20/Feb/2010:12:27:13 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:27:13 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:27:13 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:27:13 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:27:46 +0100] [Job 51] Connecting to 192.168.178.2:631
I [20/Feb/2010:12:27:46 +0100] [Job 51] Connecting to printer...
D [20/Feb/2010:12:27:46 +0100] Discarding unused printer-state-changed
event...
D [20/Feb/2010:12:27:46 +0100] Discarding unused job-progress event...
D [20/Feb/2010:12:28:01 +0100] Discarding unused printer-deleted event...
D [20/Feb/2010:12:28:01 +0100] Remote destination "DCP310CN" has timed
out; deleting it...
D [20/Feb/2010:12:28:01 +0100]
cupsdDeregisterPrinter(p=0x7ff47f2c9c20(DCP310CN), removeit=1)
D [20/Feb/2010:12:28:01 +0100] cupsdMarkDirty(--Rp--)
D [20/Feb/2010:12:28:01 +0100] cupsdSetBusyState: Printing jobs and
dirty files
D [20/Feb/2010:12:28:01 +0100] Discarding unused printer-deleted event...
D [20/Feb/2010:12:28:01 +0100] Remote destination "Farbdrucker" has
timed out; deleting it...
D [20/Feb/2010:12:28:01 +0100]
cupsdDeregisterPrinter(p=0x7ff47f2cac50(Farbdrucker), removeit=1)
D [20/Feb/2010:12:28:01 +0100] cupsdMarkDirty(--Rp--)
D [20/Feb/2010:12:28:01 +0100] Discarding unused printer-deleted event...
D [20/Feb/2010:12:28:01 +0100] Remote destination "LQ-100" has timed
out; deleting it...
D [20/Feb/2010:12:28:01 +0100] Discarding unused job-state-changed event...
I [20/Feb/2010:12:28:01 +0100] [Job 51] Job stopped due to printer being
deleted.
D [20/Feb/2010:12:28:01 +0100] cupsdMarkDirty(----J-)
D [20/Feb/2010:12:28:01 +0100] cupsdMarkDirty(P-----)
D [20/Feb/2010:12:28:01 +0100] cupsdMarkDirty(----J-)
D [20/Feb/2010:12:28:01 +0100] [Job 51] Sending job to queue tagged as
raw...
D [20/Feb/2010:12:28:01 +0100] [Job 51] job-sheets=none,none
D [20/Feb/2010:12:28:01 +0100] [Job 51] argv[0]="LQ-100"
D [20/Feb/2010:12:28:01 +0100] [Job 51] argv[1]="51"
D [20/Feb/2010:12:28:01 +0100] [Job 51] argv[2]="juergen"
D [20/Feb/2010:12:28:01 +0100] [Job 51] argv[3]="tk-brief.ps"
D [20/Feb/2010:12:28:01 +0100] [Job 51] argv[4]="1"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
argv[5]="job-originating-user-name=juergen job-priority=50 number-up=1
job-uuid=urn:uuid:9a559380-14e6-3d35-7165-68bf3c0efbf0
job-sheets=none,none lease-duration=300
job-originating-host-name=localhost job-id=51 job-state=5
job-media-sheets-completed=0 job-k-octets=146 job-printer-state-message=
job-printer-state-reasons=none"
D [20/Feb/2010:12:28:01 +0100] [Job 51] argv[6]="/var/spool/cups/d00051-001"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[0]="CUPS_CACHEDIR=/var/cache/cups"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[1]="CUPS_DATADIR=/usr/share/cups"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[2]="CUPS_DOCROOT=/usr/share/cups/doc-root"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[3]="CUPS_FONTPATH=/usr/share/cups/fonts"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[4]="CUPS_REQUESTROOT=/var/spool/cups"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[5]="CUPS_SERVERBIN=/usr/lib/cups"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[6]="CUPS_SERVERROOT=/etc/cups"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[7]="CUPS_STATEDIR=/var/run/cups"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[8]="HOME=/var/spool/cups/tmp"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[9]="PATH=/usr/lib/cups/filter:/usr/bin:/usr/sbin:/bin:/usr/bin"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[10]="SERVER_ADMIN=root@acer-ilzleite"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[11]="SOFTWARE=CUPS/1.4.2"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[12]="TMPDIR=/var/spool/cups/tmp"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[13]="TZ=Europe/Berlin"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[14]="USER=root"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[15]="CUPS_SERVER=/var/run/cups/cups.sock"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[16]="CUPS_ENCRYPTION=IfRequested"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[17]="IPP_PORT=631"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[18]="CHARSET=utf-8"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[19]="LANG=C"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[20]="PPD=/etc/cups/ppd/LQ-100.ppd"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[21]="RIP_MAX_CACHE=1015746k"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[22]="CONTENT_TYPE=application/postscript"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[23]="DEVICE_URI=ipp://192.168.178.2:631/printers/LQ-100"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[24]="PRINTER_INFO=Epson
LQ-100 (ESC P2) 24 Nadeldrucker"
D [20/Feb/2010:12:28:01 +0100] [Job 51]
envp[25]="PRINTER_LOCATION=Juergens Wohnzimmer"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[26]="PRINTER=LQ-100"
D [20/Feb/2010:12:28:01 +0100] [Job 51] envp[27]="CUPS_FILETYPE=document"
I [20/Feb/2010:12:28:01 +0100] [Job 51] Started backend
/usr/lib/cups/backend/ipp (PID 10179)
D [20/Feb/2010:12:28:01 +0100] Discarding unused job-state-changed event...
D [20/Feb/2010:12:28:01 +0100]
cupsdDeregisterPrinter(p=0x7ff47f2cbdb0(LQ-100), removeit=1)
D [20/Feb/2010:12:28:01 +0100] cupsdMarkDirty(--Rp--)
D [20/Feb/2010:12:28:01 +0100] Discarding unused printer-deleted event...
D [20/Feb/2010:12:28:01 +0100] Remote destination "Schwarzweissdrucker"
has timed out; deleting it...
D [20/Feb/2010:12:28:01 +0100]
cupsdDeregisterPrinter(p=0x7ff47f2ccf10(Schwarzweissdrucker), removeit=1)
D [20/Feb/2010:12:28:01 +0100] cupsdMarkDirty(--Rp--)
D [20/Feb/2010:12:28:01 +0100] PID 10149 (/usr/lib/cups/backend/ipp) was
terminated normally with signal 9.
D [20/Feb/2010:12:28:01 +0100] [Job 51] 1 files to send in job...
D [20/Feb/2010:12:28:01 +0100] [Job 51] STATE: +connecting-to-device


Greetings
	Juergen

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages cups depends on:
ii  adduser                3.112             add and remove users and groups
ii  bc                     1.06.95-2         The GNU bc arbitrary
precision cal
ii  cups-client            1.4.2-4           Common UNIX Printing
System(tm) -
ii  cups-common            1.4.2-4           Common UNIX Printing
System(tm) -
ii  debconf [debconf-2.0]  1.5.28            Debian configuration
management sy
ii  ghostscript            8.70~dfsg-2.1     The GPL Ghostscript
PostScript/PDF
ii  libavahi-client3       0.6.25-3          Avahi client library
ii  libavahi-common3       0.6.25-3          Avahi common library
ii  libc6                  2.10.2-2          GNU C Library: Shared libraries
ii  libcups2               1.4.2-4           Common UNIX Printing
System(tm) -
ii  libcupscgi1            1.4.2-4           Common UNIX Printing
System(tm) -
ii  libcupsdriver1         1.4.2-4           Common UNIX Printing
System(tm) -
ii  libcupsimage2          1.4.2-4           Common UNIX Printing
System(tm) -
ii  libcupsmime1           1.4.2-4           Common UNIX Printing
System(tm) -
ii  libcupsppdc1           1.4.2-4           Common UNIX Printing
System(tm) -
ii  libdbus-1-3            1.2.20-2          simple interprocess
messaging syst
ii  libgcc1                1:4.4.2-9         GCC support library
ii  libgnutls26            2.8.5-2           the GNU TLS library -
runtime libr
ii  libgssapi-krb5-2       1.8+dfsg~alpha1-7 MIT Kerberos runtime
libraries - k
ii  libijs-0.35            0.35-7            IJS raster image transport
protoco
ii  libkrb5-3              1.8+dfsg~alpha1-7 MIT Kerberos runtime libraries
ii  libldap-2.4-2          2.4.17-2.1        OpenLDAP libraries
ii  libpam0g               1.1.1-1           Pluggable Authentication
Modules l
ii  libpaper1              1.1.23+nmu1       library for handling paper
charact
ii  libpoppler5            0.12.2-2          PDF rendering library
ii  libslp1                1.2.1-7.6         OpenSLP libraries
ii  libstdc++6             4.4.2-9           The GNU Standard C++ Library v3
ii  libusb-0.1-4           2:0.1.12-14       userspace USB programming
library
ii  lsb-base               3.2-23            Linux Standard Base 3.2
init scrip
ii  perl-modules           5.10.1-11         Core Perl modules
ii  poppler-utils          0.12.2-2          PDF utilitites (based on
libpopple
ii  procps                 1:3.2.8-2         /proc file system utilities
ii  ssl-cert               1.0.25            simple debconf wrapper for
OpenSSL
ii  ttf-freefont           20090104-5        Freefont Serif, Sans and
Mono True
ii  zlib1g                 1:1.2.3.4.dfsg-3  compression library - runtime

Versions of packages cups recommends:
ii  cups-driver-gutenprint    5.2.4-1        printer drivers for CUPS
ii  foomatic-filters          4.0-20090509-1 OpenPrinting printer
support - fil
ii  ghostscript-cups          8.70~dfsg-2.1  The GPL Ghostscript
PostScript/PDF

Versions of packages cups suggests:
ii  cups-bsd               1.4.2-4           Common UNIX Printing
System(tm) -
ii  cups-pdf               2.5.0-12          PDF printer for CUPS
pn  cups-ppdc              <none>            (no description available)
ii  foomatic-db            20090616-1        OpenPrinting printer
support - dat
ii  foomatic-db-engine     4.0-20090509-1+b1 OpenPrinting printer
support - pro
pn  hplip                  <none>            (no description available)
ii  smbclient              2:3.4.5~dfsg-1    command-line SMB/CIFS
clients for
ii  udev                   150-2             /dev/ and hotplug
management daemo
pn  xpdf-korean | xpdf-jap <none>            (no description available)

-- debconf information:
* cupsys/backend: ipp, lpd, parallel, socket, usb, snmp, dnssd
* cupsys/raw-print: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#570638; Package cups. (Sun, 21 Feb 2010 11:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Kosel <juergen.kosel@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 21 Feb 2010 11:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 570638@bugs.debian.org (full text, mbox):

From: Juergen Kosel <juergen.kosel@gmx.de>
To: 570638@bugs.debian.org
Subject: gdb indicates termination by SIGUSR1
Date: Sun, 21 Feb 2010 12:12:41 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

I have just installed cups-dbg. Which add no debug information to cupsd.
Nevertheless I have started cupsd in gdb:

Current directory is /usr/sbin/
GNU gdb (GDB) 7.0.1-debian
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...

warning: The current binary is a PIE (Position Independent Executable),
which
GDB does NOT currently support.  Most debugger features will fail if used
in this session.

Reading symbols from /usr/sbin/cupsd...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/sbin/cupsd

Program received signal SIGUSR1, User defined signal 1.
0x00007ffff64d5c60 in ?? ()
(gdb) up
#1  0x00007ffff64d5ae0 in ?? ()
(gdb) up
#2  0x00007ffff7fc2560 in ?? ()
(gdb) up
#3  0x0000000000000200 in ?? ()
(gdb)

Which seem to result in:

Feb 21 11:58:18 acer-ilzleite kernel: [ 1652.003042] cupsd[7511]:
segfault at 0 ip 00007ffff64b27c1 sp 00007fffffffccc8 error 4 in
libc-2.10.2.so[7ffff6439000+14a000]


The SIGUSR1 was also reported in #549050, but interpreted as SIGHUP.
So the 2 bugs could be renamed and merged.


Greetings
	Juergen

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFLgRUp5JgLPmj5988RAhISAKDaHyczeeQphM/AlMAXP1IjMNZHkgCgqnlv
0nKAoBPPY2gfa0H4XLz/ov0=
=06UO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#570638; Package cups. (Mon, 15 Mar 2010 17:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Kosel <juergen.kosel@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 15 Mar 2010 17:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 570638@bugs.debian.org (full text, mbox):

From: Juergen Kosel <juergen.kosel@gmx.de>
To: 570638@bugs.debian.org
Subject: Bug is related to unreachable peer
Date: Mon, 15 Mar 2010 18:47:48 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hallo,

my cups server had an old print job, which should been printed on a old
printer, attached to an old computer running Lenny and also cupsd.
Both were switched off and therefore unreachable.

Now I have reenabled this two devices.
This stopped the cupsd on my main machine from crashing.




Greetings
	Juergen
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFLnnLE5JgLPmj5988RAjkJAJ4i8vHw6P2fVL4sivyA2ak9Hy61rgCggjXr
lGP8kadoFptcCHSAFm0bmhQ=
=ebPX
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#570638; Package cups. (Fri, 25 Mar 2011 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Fri, 25 Mar 2011 06:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 570638@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Juergen Kosel <juergen.kosel@gmx.de>
Cc: 570638@bugs.debian.org
Subject: Re: gdb indicates termination by SIGUSR1
Date: Fri, 25 Mar 2011 01:24:04 -0500
Hi,

Juergen Kosel wrote:

> The SIGUSR1 was also reported in #549050, but interpreted as SIGHUP.
> So the 2 bugs could be renamed and merged.

In response to Bug#549050, upstream wrote[1]:

	Please re-test with 1.4.4 - I think this is a bug we fixed already.

(Unfortunately they didn't give more detail than that.)  Are you able
to reproduce this still?  If so, does it go away with v1.4.4?

Thanks for tracking this down.
Jonathan

[1] http://www.cups.org/str.php?L3682




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#570638; Package cups. (Sun, 01 May 2011 04:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 May 2011 04:12:03 GMT) Full text and rfc822 format available.

Message #25 received at 570638@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Juergen Kosel <juergen.kosel@gmx.de>
Cc: 570638@bugs.debian.org
Subject: Re: gdb indicates termination by SIGUSR1
Date: Sat, 30 Apr 2011 23:08:34 -0500
tags 570638 + moreinfo
quit

Jonathan Nieder wrote:
> Juergen Kosel wrote:

>> The SIGUSR1 was also reported in #549050, but interpreted as SIGHUP.
>> So the 2 bugs could be renamed and merged.
>
> In response to Bug#549050, upstream wrote[1]:
>
> 	Please re-test with 1.4.4 - I think this is a bug we fixed already.
>
> (Unfortunately they didn't give more detail than that.)  Are you able
> to reproduce this still?  If so, does it go away with v1.4.4?

Ping?

> Thanks for tracking this down.
> Jonathan
>
> [1] http://www.cups.org/str.php?L3682




Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 May 2011 04:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#570638; Package cups. (Sun, 01 May 2011 10:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Kosel <juergen.kosel@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 01 May 2011 10:15:19 GMT) Full text and rfc822 format available.

Message #32 received at 570638@bugs.debian.org (full text, mbox):

From: Juergen Kosel <juergen.kosel@gmx.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 570638@bugs.debian.org
Subject: Re: gdb indicates termination by SIGUSR1
Date: Sun, 01 May 2011 12:11:43 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

Am 01.05.2011 06:08, schrieb Jonathan Nieder:
> tags 570638 + moreinfo
> quit
> 
> Jonathan Nieder wrote:
>> Juergen Kosel wrote:
> 
>>> The SIGUSR1 was also reported in #549050, but interpreted as SIGHUP.
>>> So the 2 bugs could be renamed and merged.
>>
>> In response to Bug#549050, upstream wrote[1]:
>>
>> 	Please re-test with 1.4.4 - I think this is a bug we fixed already.
>>
>> (Unfortunately they didn't give more detail than that.)  Are you able
>> to reproduce this still?  If so, does it go away with v1.4.4?

I haven't seen this anymore.

Greetings
	Juergen
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFNvTHc5JgLPmj5988RAvnvAKDl60J6ZYRUvVWjcvv+hzbbbmeCAgCg2DXy
hEQv5k580+bBSjFxPPQsjr4=
=/XD0
-----END PGP SIGNATURE-----




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sun, 01 May 2011 10:27:24 GMT) Full text and rfc822 format available.

Notification sent to Juergen Kosel <juergen.kosel@gmx.de>:
Bug acknowledged by developer. (Sun, 01 May 2011 10:27:26 GMT) Full text and rfc822 format available.

Message #37 received at 570638-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Juergen Kosel <juergen.kosel@gmx.de>
Cc: 570638-done@bugs.debian.org
Subject: Re: gdb indicates termination by SIGUSR1
Date: Sun, 1 May 2011 05:22:04 -0500
Version: 1.4.6-5

Juergen Kosel wrote:
> Am 01.05.2011 06:08, schrieb Jonathan Nieder:
>> Jonathan Nieder wrote:

>>> In response to Bug#549050, upstream wrote[1]:
>>>
>>> 	Please re-test with 1.4.4 - I think this is a bug we fixed already.
>>>
>>> (Unfortunately they didn't give more detail than that.)  Are you able
>>> to reproduce this still?  If so, does it go away with v1.4.4?
>
> I haven't seen this anymore.

Thanks for checking, and thanks for your work to track this down.  I'm
assuming you're using testing or sid, so closing with the current
version.

Regards,
Jonathan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 May 2011 07:35:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:52:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.